const request = require('../utils/request')

module.exports={ 
  //查询个人信息
	selectPerson:(data,isLogin=true)=>{
		return request.post('/xiaoshi-weixinback/account/selectPerson',data,isLogin)
  },
  //修改个人信息
  editPerson:(data)=>{
		return request.post('/xiaoshi-weixinback/account/editPerson',data)
  },
  //添加用户反馈
  addUserFeedback:(data)=>{
		return request.post('/xiaoshi-weixinback/userFeedBack/addUserFeedback',data)
  },
  //查看个人拥有的优惠券
  queryPersonVoucher:(data)=>{
		return request.post('/xiaoshi-weixinback/voucherManage/queryPersonVoucher',data)
  },
  //查看可购买的优惠券
  queryVoucher:(data)=>{
    var params = {
      state:1,
      ifAvailable:true,
      ifExpiration:false,
      getWay:1
    }
		return request.post('/xiaoshi-weixinback/voucherManage/queryVoucher',data || params)
  },

  //查询邀请用户信息
  queryInvitedPerson:(data)=>{
		return request.post('/xiaoshi-weixinback/userManage/queryInvitedPerson',data)
  },
 }